.questions {
  padding: 80px 0 40px;
}

.questions__box {
}

.questions__content {
}

.questions__title {
}

.questions__list {
  margin-top: 62px;
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.questions__item {
  display: flex;
  flex-direction: column;
  gap: 6px;
  position: relative;
}

.questions__btn {
  background: var(--textLight);
  padding: 18px 85px 18px 35px;
  cursor: pointer;
  border-radius: 10px;
  box-shadow: 0 0 14px 0px var(--bgLink);
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  z-index: 40;
}

.questions__btn-text {
  text-align: center;
}

.questions__arrow {
  width: 16px;
  height: 16px;
  border-right: 2px solid var(--textDark);
  border-bottom: 2px solid var(--textDark);
  transform: rotate(45deg);
  position: absolute;
  top: auto;
  right: 35px;
}

.questions__answer {
  background: var(--textLight);
  border-radius: 10px;
  /* padding: 0 35px; */
  box-shadow: 0 0 14px 0px var(--bgLink);
  border: 1px solid var(--textColor);
  overflow: hidden;
  max-height: 0;
  opacity: 0;
  transition:
    max-height 0.5s ease,
    opacity 0.5s ease;
}

.questions__answer p {
  padding: 18px 35px;
}

.questions__item.active {
  .questions__btn {
    color: var(--textColor);

    .questions__arrow {
      transform: rotate(-135deg);
      border-color: var(--textColor);
    }
  }

  .questions__answer {
    max-height: 700px;
    opacity: 1;
  }
}

@media (hover: hover) {
  .questions__btn:hover {
    color: var(--textColor);

    .questions__arrow {
      border-color: var(--textColor);
    }
  }
}

@media screen and (max-width: 600px) {
  .questions {
    padding: 45px 0 40px !important;
  }
  .questions__btn-text {
    font-size: 16px;
    line-height: 110%;
  }

  .questions__arrow {
    width: 10px;
    height: 10px;
  }

  .questions__answer p {
    padding: 12px 24px;
  }
}
